import { ModalOptions } from '@ionic/core';
import { HookOverlayOptions } from './HookOverlayOptions';
import { ReactComponentOrElement } from './useOverlay';
/**
 * A hook for presenting/dismissing an IonModal component
 * @param component The component that the modal will show. Can be a React Component, a functional component, or a JSX Element
 * @param componentProps The props that will be passed to the component, if required
 * @returns Returns the present and dismiss methods in an array
 */
export declare function useIonModal(component: ReactComponentOrElement, componentProps?: any): UseIonModalResult;
export declare type UseIonModalResult = [(options?: Omit<ModalOptions, 'component' | 'componentProps'> & HookOverlayOptions) => void, 
/**
 * Dismisses the modal
 */
() => void];
