import React from 'react';
import { HookOverlayOptions } from './HookOverlayOptions';
export declare type ReactComponentOrElement = React.ComponentClass<any, any> | React.FC<any> | JSX.Element;
interface OverlayBase extends HTMLElement {
    present: () => Promise<void>;
    dismiss: (data?: any, role?: string | undefined) => Promise<boolean>;
}
export declare function useOverlay<OptionsType, OverlayType extends OverlayBase>(displayName: string, controller: {
    create: (options: OptionsType) => Promise<OverlayType>;
}, component: ReactComponentOrElement, componentProps?: any): {
    present: (options: OptionsType & HookOverlayOptions) => Promise<void>;
    dismiss: () => Promise<void>;
};
export {};
